Page MenuHomePhabricator

fix: add test to demonstrate how many times tools are executed
ClosedPublic

Authored by hooper on Aug 11 2021, 10:16 PM.

Details

Summary

The current implementation wastes a lot of effort invoking fixer tools more
than once on the same file name+content. It is good to track changes in this
behavior.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

hooper created this revision.Aug 11 2021, 10:16 PM
Alphare requested changes to this revision.Aug 25 2021, 5:14 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
tests/test-fix.t
1805

This probably should be done in a separate changeset.

This revision now requires changes to proceed.Aug 25 2021, 5:14 AM
hooper marked an inline comment as done.Sep 2 2021, 6:07 PM
hooper edited the summary of this revision. (Show Details)
hooper updated this revision to Diff 30178.

This stack needs rebased, sorry!

Alphare requested changes to this revision.Sep 9 2021, 5:10 AM
This revision now requires changes to proceed.Sep 9 2021, 5:10 AM
hooper updated this revision to Diff 30329.Mon, Sep 20, 4:29 PM
pulkit accepted this revision.Tue, Oct 12, 9:33 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.